<template>
  <div>
    
        <div id="coberturaCircular" class="charts" ref="coberturaCircular"></div>
     
  </div>
</template>

<script>
import htmlToImage from "html-to-image";
import * as am4core from "@amcharts/amcharts4/core";
import * as am4charts from "@amcharts/amcharts4/charts";
import am4themes_animated from "@amcharts/amcharts4/themes/animated";
import am4themes_material from "@amcharts/amcharts4/themes/material";

export default {
  name: "Component-gr002",
  props: {
    value: Number,
    valueTotal: Number,
    color: String,
    diasRest: Number
  },
  data() {
    return {
      isShowId: true
    };
  },


methods:{
initChartG(){
 // Themes begin
am4core.useTheme(am4themes_animated);
// Themes end



// Create chart instance
var chart = am4core.create("coberturaCircular", am4charts.RadarChart);

// Add data
chart.data = [{
  "category": "",
  "value": 365,
  "full": 380
}];

// Make chart not full circle
chart.startAngle = -90;
chart.endAngle = 270;
chart.innerRadius = am4core.percent(80);

// Set number format
chart.numberFormatter.numberFormat = "#.#";

// Create axes
var categoryAxis = chart.yAxes.push(new am4charts.CategoryAxis());
categoryAxis.dataFields.category = "category";
categoryAxis.renderer.grid.template.location = 0;
categoryAxis.renderer.grid.template.strokeOpacity = 0;
categoryAxis.renderer.labels.template.horizontalCenter = "right";
categoryAxis.renderer.labels.template.fontWeight = 500;
categoryAxis.renderer.labels.template.adapter.add("fill", function(fill, target) {
  return (target.dataItem.index >= 0) ? chart.colors.getIndex(target.dataItem.index) : fill;
});
categoryAxis.renderer.minGridDistance = 10;

var valueAxis = chart.xAxes.push(new am4charts.ValueAxis());
valueAxis.renderer.grid.template.strokeOpacity = 0;
valueAxis.min = 0;
valueAxis.max = 380;
valueAxis.strictMinMax = true;

// Create series
var series1 = chart.series.push(new am4charts.RadarColumnSeries());
series1.dataFields.valueX = "full";
series1.dataFields.categoryY = "category";
series1.clustered = false;
series1.columns.template.fill = new am4core.InterfaceColorSet().getFor("alternativeBackground");
series1.columns.template.fillOpacity = 0.08;
series1.columns.template.cornerRadiusTopLeft = 20;
series1.columns.template.strokeWidth = 0;
series1.columns.template.radarColumn.cornerRadius = 20;

var label = chart.createChild(am4core.Label);
label.text = "365";
label.fontSize = 60;
label.align = "center";
label.isMeasured = false;
label.x = am4core.percent(50);
label.horizontalCenter = "middle";
label.y = 100;
label.fontWeight = "bold";

var label1 = chart.createChild(am4core.Label);
label1.text = "Puntos de Contacto \n Certificados";
label1.fontSize = 16;
label1.align = "center";
label1.isMeasured = false;
label1.x = am4core.percent(50);
label1.horizontalCenter = "middle";
label1.y = 170;
label1.fontWeight = "bold";


var series2 = chart.series.push(new am4charts.RadarColumnSeries());
series2.dataFields.valueX = "value";
series2.dataFields.categoryY = "category";
series2.clustered = false;
series2.columns.template.strokeWidth = 0;
series2.columns.template.tooltipText = "{category}: [bold]{value}[/]";
series2.columns.template.radarColumn.cornerRadius = 20;

series2.columns.template.adapter.add("fill", function(fill, target) {
  return chart.colors.getIndex(target.dataItem.index);
});

// Add cursor
chart.cursor = new am4charts.RadarCursor();
}
},
mounted(){
this.initChartG();
}

};
</script>
<style scoped>
#coberturaCircular {
  width: 100%;
  height: 350px;
}

</style>